aboutsummaryrefslogtreecommitdiff
path: root/home-manager/i3/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'home-manager/i3/scripts')
-rwxr-xr-xhome-manager/i3/scripts/image_upload.sh2
-rwxr-xr-xhome-manager/i3/scripts/rofi-passmenu27
2 files changed, 28 insertions, 1 deletions
diff --git a/home-manager/i3/scripts/image_upload.sh b/home-manager/i3/scripts/image_upload.sh
index 896f23f..ea327ad 100755
--- a/home-manager/i3/scripts/image_upload.sh
+++ b/home-manager/i3/scripts/image_upload.sh
@@ -2,6 +2,6 @@
image_name=$(rofi -dmenu -l 0 -p "Image name")
xclip -selection clipboard -t image/png -o > ~/Documents/tehbox-files/$image_name
eval $(ssh-agent)
-rsync ~/Documents/tehbox-files/$image_name files@tehbox.org:/srv/files
+rsync ~/Documents/tehbox-files/$image_name boss@tehbox.org:/srv/files
notify-send "uploaded https://files.tehbox.org/$image_name"
echo -n "https://files.tehbox.org/$image_name" | xclip -i -selection clipboard
diff --git a/home-manager/i3/scripts/rofi-passmenu b/home-manager/i3/scripts/rofi-passmenu
new file mode 100755
index 0000000..798961b
--- /dev/null
+++ b/home-manager/i3/scripts/rofi-passmenu
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+shopt -s nullglob globstar
+
+typeit=1
+
+if [[ -n $WAYLAND_DISPLAY ]]; then
+ rofi=rofi-wl
+ xdotool="ydotool type --file -"
+elif [[ -n $DISPLAY ]]; then
+ rofi=rofi
+ xdotool="xdotool type --clearmodifiers --file -"
+else
+ echo "Error: No Wayland or X11 display detected" >&2
+ exit 1
+fi
+
+prefix=${PASSWORD_STORE_DIR-~/.password-store}
+password_files=( "$prefix"/**/*.gpg )
+password_files=( "${password_files[@]#"$prefix"/}" )
+password_files=( "${password_files[@]%.gpg}" )
+
+password=$(printf '%s\n' "${password_files[@]}" | "$rofi" -dmenu "$@")
+
+[[ -n $password ]] || exit
+
+pass show "$password" | { IFS= read -r pass; printf %s "$pass"; } | $xdotool